Description 1
The hash transform specified by this ISAKMP policy specification. The IKE tunnels setup using this policy item would use the specified hash transform to protect the ISAKMP PDUs.
OID reference
1.3.6.1.4.1.2011.2.33.2.3.1.3
The hash transform specified by this ISAKMP policy specification. The IKE tunnels setup using this policy item would use the specified hash transform to protect the ISAKMP PDUs.
Identification
{1 3 6 1 4 1 2011 2 33 2 3 1 3}
Definitions may combine these properties differently.
Numbers refer to source variants above. Each value is shown only for variants that define it.
| Value | Name | Source variants |
|---|---|---|
| 1 | ikeHashNone | 2 |
| 1 | ike_hash_none | 1 |
| 2 | ikeHashMd5 | 2 |
| 2 | ike_hash_md5 | 1 |
| 3 | ikeHashSha | 2 |
| 3 | ike_hash_sha | 1 |
| 4 | ikeHashTiger | 2 |
| 4 | ike_hash_tiger | 1 |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In HUAWEI-NDEC-MIB, the row index hipsIsakmpPolPriority is declared as Integer32. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.2011.2.33.2.3.1.3.<hipsIsakmpPolPriority>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.2011.2.33.2.3.1.3
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Available source records contain 3 distinct definitions; some records may not include a definition.
hipsIsakmpPolHash OBJECT-TYPE
SYNTAX IkeHashAlgo
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The hash transform specified by this
ISAKMP policy specification. The IKE tunnels
setup using this policy item would use the
specified hash transform to protect the
ISAKMP PDUs."
::= { hipsIKEPolicyEntry 3 }hipsIsakmpPolHash OBJECT-TYPE
SYNTAX INTEGER {
ikeHashNone(1),
ikeHashMd5(2),
ikeHashSha(3),
ikeHashTiger(4)
}
MAX-ACCESS read-only
STATUS current
DESCRIPTION
"The specified hash transform. It is used by
Internet Key Exchange(IKE) tunnels to protect the ISAKMP
PDUs."
::= { hipsIKEPolicyEntry 3 }hipsIsakmpPolHash OBJECT-TYPE
SYNTAX INTEGER {
ikeHashNone(1),
ikeHashMd5(2),
ikeHashSha(3),
ikeHashTiger(4)
}
MAX-ACCESS read-only
STATUS current
DESCRIPTION
"The specified hash transform. It is used by
Internet Key Exchange(IKE) tunnels to protect the ISAKMP
PDUs."
::= { hipsIKEPolicyEntry 3 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Description 1
The hash transform specified by this ISAKMP policy specification. The IKE tunnels setup using this policy item would use the specified hash transform to protect the ISAKMP PDUs.
Description 2
The specified hash transform. It is used by Internet Key Exchange(IKE) tunnels to protect the ISAKMP PDUs.
H3C and HH3C MIB copies (Observium Community)Netdisco MIB archive copies
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hipsIsakmpPolHash
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hipsIsakmpPolHash",
"OBJECT-TYPE",
"SYNTAX",
"IkeHashAlgo",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The hash transform specified by this ISAKMP policy specification. The IKE tunnels setup using this policy item would use the specified hash transform to protect the ISAKMP PDUs.\"",
"::=",
"{",
"hipsIKEPolicyEntry",
"3",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"IkeHashAlgo",
[
"enumSpec",
[
[
"ike_hash_none",
1
],
[
"ike_hash_md5",
2
],
[
"ike_hash_sha",
3
],
[
"ike_hash_tiger",
4
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The hash transform specified by this ISAKMP policy specification. The IKE tunnels setup using this policy item would use the specified hash transform to protect the ISAKMP PDUs."
],
null,
null,
null,
null
]
}Module: HW-NDEC-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-SMI': ['IpAddress', 'Counter32', 'Gauge32', 'Integer32', 'Unsigned32', 'BITS', 'NOTIFICATION-TYPE'], 'RFC1155-SMI': ['Counter', 'enterprises']}Source data warning: This file is a member of a preserved third-party historical archive. Its edition and applicability to current devices are not confirmed; check the original file and package.
· Download huawei/HuaWei Quidview.rar — mibfiles/RM/mib/8040/ndec.mibRelated source files and packages:
Status in source: current.
Names: hipsIsakmpPolHash
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hipsIsakmpPolHash",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"ikeHashNone",
"(",
"1",
")",
",",
"ikeHashMd5",
"(",
"2",
")",
",",
"ikeHashSha",
"(",
"3",
")",
",",
"ikeHashTiger",
"(",
"4",
")",
"}",
"MAX-ACCESS",
"read-only",
"STATUS",
"current",
"DESCRIPTION",
"\"The specified hash transform. It is used by Internet Key Exchange(IKE) tunnels to protect the ISAKMP PDUs.\"",
"::=",
"{",
"hipsIKEPolicyEntry",
"3",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"ikeHashNone",
1
],
[
"ikeHashMd5",
2
],
[
"ikeHashSha",
3
],
[
"ikeHashTiger",
4
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"The specified hash transform. It is used by Internet Key Exchange(IKE) tunnels to protect the ISAKMP PDUs."
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. H3C and HH3C support.
Module: HUAWEI-NDEC-MIB
See published definition above
{'SNMPv2-TC': ['DisplayString', 'TruthValue'], 'SNMPv2-SMI': ['IpAddress', 'Counter32', 'Gauge32', 'Integer32', 'Unsigned32', 'NOTIFICATION-TYPE', 'MODULE-IDENTITY', 'OBJECT-TYPE'], 'HUAWEI-3COM-OID-MIB': ['mlsr']}Related source files and packages:
Vendor MIB copy from the Netdisco archive.
Module: HUAWEI-NDEC-MIB
See published definition above
{'SNMPv2-TC': ['DisplayString', 'TruthValue'], 'SNMPv2-SMI': ['IpAddress', 'Counter32', 'Gauge32', 'Integer32', 'Unsigned32', 'NOTIFICATION-TYPE', 'MODULE-IDENTITY', 'OBJECT-TYPE'], 'HUAWEI-3COM-OID-MIB': ['mlsr']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2011.2.33.2.3.1.1 | hipsIsakmpPolPriority | 0 | 0 | |
| 1.3.6.1.4.1.2011.2.33.2.3.1.2 | hipsIsakmpPolEncr | 0 | 0 | |
| 1.3.6.1.4.1.2011.2.33.2.3.1.4 | hipsIsakmpPolAuth | 0 | 0 | |
| 1.3.6.1.4.1.2011.2.33.2.3.1.5 | hipsIsakmpPolGroup | 0 | 0 | |
| 1.3.6.1.4.1.2011.2.33.2.3.1.6 | hipsIsakmpPolLifetime | 0 | 0 |